<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE dwr PUBLIC "-//GetAhead Limited//DTD Direct Web Remoting 2.0//EN" "http://getahead.org/dwr//dwr20.dtd">
<dwr>
        <allow>
            <create creator="spring" javascript="WysiwygConverter">
              <param name="beanName" value="confluenceWysiwygConverterDWRWrapper"/>
            </create>
            <create creator="spring" javascript="AjaxUserProfileEditor">
              <param name="beanName" value="ajaxUserProfileEditor"/>
            </create>
            
            <convert converter="bean" match="com.atlassian.confluence.util.ajax.AjaxResponse"/>
            <convert converter="bean" match="com.atlassian.confluence.pages.DraftData"/>
            <convert converter="bean" match="com.atlassian.confluence.core.ActivityAjaxResponse"/>

            <create creator="spring" javascript="AddLabelToEntity">
              <param name="beanName" value="addLabelToEntity"/>
            </create>
            <create creator="spring" javascript="RemoveLabelFromEntity">
              <param name="beanName" value="removeLabelFromEntity"/>
            </create>
            <create creator="spring" javascript="SuggestedLabelsForEntity">
              <param name="beanName" value="suggestedLabelsForEntity"/>
            </create>
            <create creator="spring" javascript="GenerateAutocompleteLabelsListForEntity">
              <param name="beanName" value="generateAutocompleteLabelsListForEntity"/>
            </create>
            <create creator="spring" javascript="PageNotification">
              <param name="beanName" value="pageNotification"/>
            </create>
            <create creator="spring" javascript="DraftAjax">
              <param name="beanName" value="draftAjax"/>
            </create>
            <create creator="spring" javascript="HeartbeatAjax">
              <param name="beanName" value="heartbeatAjax"/>
            </create>
            <create creator="spring" javascript="EntitiesAjaxService">
              <param name="beanName" value="entitiesAjaxService"/>
            </create>
        </allow>
</dwr>